Subject: Re: [PATCH 7/9] net: add skb_orphan_frags to copy aside frags with destructors

From: "Michael S. Tsirkin" <[email-masked]>
Date: Fri, 4 May 2012 13:03:11 +0300

On Fri, May 04, 2012 at 02:54:33AM -0400, David Miller wrote:
> From: "Michael S. Tsirkin" <[email-masked]>
> Date: Fri, 4 May 2012 00:10:24 +0300
> 
> > Hmm we orphan skbs when we loop them back so how about reusing the
> > skb->destructor for this?
> 
> That's one possibility.
> 
> But I fear we're about to toss Ian into yet another rabbit hole. :-)
> 
> Let's try to converge on something quickly as I think integration of
> his work has been delayed enough as-is.

This is more intrusive than I'd like because on
error we need to free the skb, so need
to return error code from orphan, but it does not add
an extra branch since skb_orphan is inline.
So intrusive but should not hurt fast path.

It's weekend here, I'll work on a patch like this
Sunday.

-- 
MST